### Function

# GLibUnix fd_source_new

#### Declaration [src]

    GSource*
    g_unix_fd_source_new (
      gint fd,
      GIOCondition condition
    )

#### Description

No description available.

#### Parameters

`fd`

  Type: `gint`

  No description available.

`condition`

  Type: `GIOCondition`

  No description available.

#### Return value

Type: `GSource`

No description available.

The caller of the function takes ownership of the data, and is responsible for freeing it.